<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F6F6F6"
    android:fitsSystemWindows="true">

    <RelativeLayout
        android:id="@+id/id_rl_order_title"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:background="@color/white">

        <ImageView
            android:id="@+id/id_img_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:padding="15dp"
            android:src="@drawable/icon_fanhui" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:includeFontPadding="false"
            android:text="订单详情"
            android:textColor="@color/color_333333"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/id_tv_kefu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="15dp"
            android:drawableLeft="@drawable/icon_kefu_hei"
            android:drawablePadding="5dp"
            android:text="客服"
            android:textColor="@color/color_333333"
            android:textSize="14sp" />
    </RelativeLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/id_rl_order_title">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingBottom="100dp">

            <RelativeLayout
                android:id="@+id/id_rl_no_address"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:drawableLeft="@drawable/icon_add"
                    android:drawablePadding="5dp"
                    android:text="请填写收货人信息"
                    android:textColor="@color/color_333333"
                    android:textSize="15sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_jinru_rignt" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/id_rl_hava_address"
                android:layout_width="match_parent"
                android:layout_height="90dp"
                android:layout_below="@+id/id_rl_order_title"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5"
                android:visibility="gone">

                <TextView
                    android:id="@+id/id_tv_user_name_phone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_marginTop="15dp"
                    android:text=""
                    android:textColor="@color/color_333333"
                    android:textSize="18sp" />

                <TextView
                    android:id="@+id/id_tv_user_address"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_marginLeft="15dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="70dp"
                    android:layout_marginBottom="15dp"
                    android:ellipsize="end"
                    android:lines="1"
                    android:text=""
                    android:textColor="@color/color_333333"
                    android:textSize="15sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_jinru_rignt" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="18dp"
                    android:layout_toRightOf="@+id/id_tv_user_name_phone"
                    android:src="@drawable/icon_moren" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5"
                android:orientation="vertical"
                android:padding="15dp">

                <TextView
                    android:id="@+id/id_tv_goods_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp"
                    android:text="商品列表(共0件商品)"
                    android:textColor="@color/color_333333"
                    android:textSize="15sp" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/id_rl_order_goods"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:layout_marginTop="10dp"
                    android:background="#EDEDED" />


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp">

                    <TextView
                        android:id="@+id/id_tv_price_trip"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运费"
                        android:textColor="@color/color_666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/id_tv_yunfei"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:text="0"
                        android:textColor="@color/color_333333" />
                </RelativeLayout>

                <TextView
                    android:id="@+id/id_tv_order_desc"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text=""
                    android:textColor="#FA6240"
                    android:textSize="12sp" />

                <RelativeLayout
                    android:id="@+id/id_rl_dabaofei"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp">

                    <TextView
                        android:id="@+id/id_tv_yunfei_price_trip"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="打包费"
                        android:textColor="@color/color_666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/id_tv_dabaofei"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:textColor="@color/color_333333" />
                </RelativeLayout>
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/id_rcl_payment_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5" />

            <RelativeLayout
                android:id="@+id/id_rl_wechat_pay"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:drawableLeft="@drawable/icon_weixin"
                    android:drawablePadding="5dp"
                    android:text="微信支付"
                    android:textColor="@color/color_333333"
                    android:textSize="14sp" />

                <ImageView
                    android:id="@+id/id_img_wechat"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_xuanzhong_default" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/id_rl_zfb_pay"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:background="@color/white"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:drawableLeft="@drawable/zhifub"
                    android:drawablePadding="5dp"
                    android:text="支付宝支付"
                    android:textColor="@color/color_333333"
                    android:textSize="14sp" />

                <ImageView
                    android:id="@+id/id_img_ali"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_xuanzhong_default" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="104dp"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5"
                android:orientation="vertical"
                android:padding="15dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="备注留言"
                    android:textColor="@color/color_333333"
                    android:textSize="15sp" />

                <EditText
                    android:id="@+id/id_edit_beizhu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="6dp"
                    android:background="@null"
                    android:hint="你有什么特别需要请告诉我们"
                    android:textColor="@color/color_333333"
                    android:textColorHint="#999999"
                    android:textSize="13sp" />
            </LinearLayout>
        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <RelativeLayout
        android:id="@+id/id_rl_order_bottom"
        android:layout_width="match_parent"
        android:layout_height="65dp"
        android:layout_alignParentBottom="true"
        android:background="@color/white"
        android:paddingLeft="15dp"
        android:paddingRight="15dp">

        <TextView
            android:id="@+id/id_tv_yingfu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:text="应付金额:"
            android:textColor="@color/color_666666"
            android:textSize="13sp" />

        <TextView
            android:id="@+id/id_tv_rmb"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp"
            android:layout_toRightOf="@id/id_tv_yingfu"
            android:text="¥"
            android:textColor="#FF2E31"
            android:textSize="13sp" />

        <TextView
            android:id="@+id/id_tv_pay_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:layout_toRightOf="@+id/id_tv_rmb"
            android:text=""
            android:textColor="#FF2E31"
            android:textSize="24sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/id_tv_to_pay"
            android:layout_width="150dp"
            android:layout_height="45dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="@drawable/shape_ff2e31_r25"
            android:gravity="center"
            android:text="去支付"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />
    </RelativeLayout>


    <RelativeLayout
        android:id="@+id/id_rl_bao_you"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/id_rl_order_bottom"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/shape_cangku_bottom_bg"
        android:paddingTop="5dp"
        android:paddingBottom="5dp">

        <TextView
            android:id="@+id/id_tv_time_limit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="15dp"
            android:background="@drawable/shape_4c84ff_r3"
            android:paddingLeft="3dp"
            android:paddingTop="2dp"
            android:paddingRight="3dp"
            android:paddingBottom="2dp"
            android:text="@string/time_limit"
            android:textColor="@color/white"
            android:textSize="15sp" />


        <TextView
            android:id="@+id/id_tv_depots_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/id_tv_time_limit"
            android:textColor="#2669FF"
            android:textSize="15sp" />

        <ImageView
            android:id="@+id/id_img_xianshi_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:paddingLeft="14dp"
            android:paddingRight="14dp"
            android:src="@drawable/icon_bottom_guanbi" />
    </RelativeLayout>

    <!--    <RelativeLayout-->
    <!--        android:id="@+id/id_rl_bao_you"-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="30dp"-->
    <!--        android:layout_above="@+id/id_rl_order_bottom"-->
    <!--        android:layout_marginLeft="15dp"-->
    <!--        android:layout_marginRight="15dp"-->
    <!--        android:layout_marginBottom="10dp"-->
    <!--        android:background="@drawable/shape_cangku_bottom_bg"-->
    <!--        android:visibility="gone">-->

    <!--        <TextView-->
    <!--            android:id="@+id/id_tv_depots_text"-->
    <!--            android:layout_width="wrap_content"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:layout_centerInParent="true"-->
    <!--            android:text=""-->
    <!--            android:includeFontPadding="false"-->
    <!--            android:textColor="@color/color_333333"-->
    <!--            android:textSize="15sp" />-->

    <!--    </RelativeLayout>-->
    <RelativeLayout
        android:id="@+id/id_rl_h5_pay_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/id_rl_order_title"
        android:visibility="gone">

        <WebView
            android:id="@+id/id_pay_web_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <ImageView
            android:id="@+id/id_img_close_pay_web"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignRight="@id/id_pay_web_view"
            android:padding="10dp"
            android:src="@drawable/icon_guanbi" />

    </RelativeLayout>
</RelativeLayout>
